<?php
/*
Plugin Name: dKret About Widget
Description: Adds a Sidebar Widget to display information about the author.
Author: J. Kretzschmar
Version: 1.2
Author URI: http://diekretzschmars.de
*/

function widget_show_dkret_about($args) {
	extract($args);
	$options = get_option('widget_dkret_about'); ?>
  <?php global $user_ID; if (($user_ID) && ($options['login'] == 'checked="checked"')) return; ?>
  <div id="about">
    <h2 class="widget_title"><?php echo ($options['title']) ?></h2>
    <?php echo stripslashes($options['abouttext']); ?>
  </div>
<?php }

// Admin section
function widget_control_dkret_about() {
 	global $wpdb;
 	$options = get_option('widget_dkret_about');
		
	if ( $_POST['dkret-submit'] ) {

		$options['title'] = strip_tags(stripslashes($_POST['dkret-about-title']));
		$options['abouttext'] = stripslashes($_POST['dkret-about-text']);
		$options['login'] = isset($_POST['dkret-about-hide']);
		update_option('widget_dkret_about', $options);
	}
	
	$title = htmlspecialchars($options['title'], ENT_QUOTES);
	$hide = $options['login'] ? 'checked="checked"' : '';
	$abouttext = stripslashes($options['abouttext']);
	
	// The Box content
	echo '<p style="text-align:right;"><label for="dkret-about-title">' . __('Title:', 'dkret') . ' <input style="width: 300px;" id="dkret-about-title" name="dkret-about-title" type="text" value="'.$title.'" /></label></p>';
	echo '<p style="text-align:right;"><label for="dkret-about-hide">' . __('Hide About Widget if User is logged in:', 'dkret') . ' <input id="dkret-about-hide" name="dkret-about-hide" type="checkbox" '. $hide .'  /></label></p>';
  echo '<p style="text-align:right;"><label for="dkret-about-text">' . __('About Text:', 'dkret'). ' <textarea name="dkret-about-text" style="width: 300px;" rows="12" cols="20" id="dkret-about-text">' .$abouttext. '</textarea></label></p>';
	echo '<input type="hidden" id="dkret-submit" name="dkret-submit" value="1" />';
}

$options = get_option('widget_dkret_about');
if ( !is_array($options) )
	$options = array('title'=>''. __('About', 'dkret') .'', 'login'=>'', 'abouttext'=>''. __('A little something about yourself', 'dkret') .'',);
	update_option('widget_dkret_about', $options);

register_sidebar_widget(__('dKret: About','dkret'), 'widget_show_dkret_about');
register_widget_control(__('dKret: About','dkret'), 'widget_control_dkret_about', 400, 300);
?>
